﻿/*Centers the bak to map button on the resume drop page*/
.back-to-map-container {
	text-align: center !important;
}

/*Styling for back to map button on resume drop page*/
.back-to-map {
	font-size: 20px !important;
	margin-bottom: 2% !important;
	border: 1px solid black;
}

/* Styling for smart table*/
.smartTable {
	border: 1px solid black;
	justify-content: center;
	table-layout: auto;
	background-color: transparent;
	padding-bottom: 1%;
}

/*Zooms out smart map for mobile*/
.smartContainer {
	zoom: .1;
}

.smartTableCol {
	min-width: 100px !important;
	padding: 1%;
}

.smartBooth {
    background-color: lightgoldenrodyellow;
    border: none;
}

.smartHall {
    background-color: lightgrey;
    border: none;
}

.smartUpper {
    border-bottom: none;
    background-color: lightgoldenrodyellow;
}

.smartLower {
    border-top: none;
    background-color: lightgoldenrodyellow;
}

.smartBalcony {
    border: none;
    background-color: #8b8d8e;
}

.smartWall {
    border: none;
    background-color: #21314d;
}

.smartUpperSave {
    border-bottom: none;
    background-color: lightskyblue;
}

.smartLowerSave {
    border-top: none;
    background-color: lightskyblue;
}
.smartLowerSelect {
	border-top: none;
	background-color: greenyellow;
}
.smartUpperSelect {
	border-bottom: none;
	background-color: greenyellow;
}

/*Styling for the resume drop when it is selected for SmartMap*/
.smartResumeSelect {
    border: none;
    background-color: greenyellow;
}

.view-switcher {
    padding: 0.5em;
    font-weight: normal;
}

.companiesTable {
    color: #D2492A;
}

/* styles for validation helpers */
.field-validation-error {
    color: #e80c4d;
    font-weight: bold;
}

html, body {
    background-color: #21314D !important;
    padding-top: 0;
    width: 100% !important;
    margin: 0;
}

.field-validation-valid {
    display: none;
}

input[type="text"].input-validation-error,
input[type="password"].input-validation-error {
    border: solid 1px #e80c4d;
}

@media screen and (orientation: portrait) {
	/* Styling for carousel words */
	.carousel-caption p {
		font-size: 70%;
		line-height: 110%;
		background-color: rgba(146, 162, 189, .8);
		position: fixed !important;
		bottom: -50px;
		left: 0;
		width: 100% !important;
		max-height: 40% !important;
		top: 70%;
		z-index: 10;
		color: #fff;
		text-align: center;
		text-shadow: 0 1px 2px rgba(0, 0, 0, .6);
		padding-top: 1.5%;
		margin: 0;
		border: 0;
		padding-bottom: 0;
	}
}

@media screen and (orientation: landscape) {
	/* Styling for carousel words */
	.carousel-caption p {
		font-size: 90%;
		line-height: normal;
		background-color: rgba(146, 162, 189, .8);
		position: fixed !important;
		bottom: -50px;
		left: 0;
		width: 100% !important;
		max-height: 40% !important;
		top: 70%;
		z-index: 10;
		color: #fff;
		text-align: center;
		text-shadow: 0 1px 2px rgba(0, 0, 0, .6);
		padding-top: 1.5%;
		margin: 0;
		border: 0;
		padding-bottom: 0;
	}
}

.validation-summary-errors {
    color: #e80c4d;
    font-weight: bold;
    font-size: 1.1em;
}

.validation-summary-valid {
    display: none;
}

/*Logo image styling*/
.logo-image {
	width: 50%;
	max-height: 5%;
	margin: 20px;
}

/* Styling for the carousel */
.carousel-inner {
	width: auto;
    height: 100% !important;
	max-width: 100% !important;
	padding-bottom: 0;
    margin: 0; 
    border: 0; 
}

/* Styling for the carousel images */
.img-responsive {
	width: 100%;
	padding-bottom: 0;
}

.navbar {
	width: auto;
	background-color: #21314D !important;
}

/* Styling to keep tabs in the vertical center of the navigation bar */
.navbar-collapse {
	margin-top: 15px;
}

.navbar-inverse {
	background-color: #21314D !important;
}

/* Styling for the shape on the Company pages containing the booth number */
.square {
    float: right;
	padding: 10px;
	text-align: center;
	width: 100px;
	height: 100px;
	Background-color: black;
	color: white;
	border-radius: 10px;
	margin-bottom: 20px;
	margin-left: 5px;
    margin-top: 20px; 
}

/* Styling for the booth number square to remove float when screen shrinks */
@media (max-width: 768px) {
    .square {
        float: none;
    }
}

/* Styling for table on Companies page */
table, th, td {
	border: 1px solid black;
	height: 50px !important;
	justify-content: center;
    max-width: 100%; 
}

/* Design of company page table headers */
.table-header {
	background-color: #21314D;
	color: white;
	border: 2px solid black;
	text-align: center;
	padding-left: 2px;
	padding-right: 2px;
}

/* Styling of the name of the company at the top of the Company pages */
.company-name {
	font-weight: bold;
	text-decoration: underline;
	font-size: 40px;
	margin-bottom: 5px;
	margin-top: 10%;
}

/* Styling of section headings in the page footer*/
.footer-headings {
	color: white;
	font-size: large;
	font-weight: bold;
}

/* Styling of each cell in a table */
th {
	text-align: center !important;
}

/* Styling of PDFs displaying recruiting and non-recruiting events */
.event {
	width: 500px;
	height: 500px;
}

/* Styling for the footer */
.footer-style {
    position: relative;
    background-color: #92A2BD;
    padding-bottom: 0 !important; 
    margin: 0 !important; 
    border: 0 !important; 
    padding-top: 3%;
    color: white; 
}

select {
	max-width: 50% !important;
	margin-top: 10px !important;
}


.textbox {
    width: 300px;
    height: 100px;
}

.center {
    text-align: center !important;
}

.save {
	font-size: 24px;
    color: black
}

.row {
    padding: 0 !important;
    width: 100% !important;
    border: 0 !important;
    margin: 0 !important; 
}

.padding-bottom {
    padding-bottom: 2% !important;
}

.p { 
    padding-bottom: 0; 
    border: 0 !important; 
    margin: 0 !important;
}

/*Color styling for tables with alternate-color rows*/
tr:nth-child(odd).alternate-color {
    background-color: #CED5DD !important;
}

/*Color styling for rows that alternate colors*/
div:nth-child(odd).row.alternate-color {
    background-color: #CED5DD !important;
}

.upcoming-events {
    margin-top: 0 !important;
    text-align: center;
    color: black;
    width: 100%;
    text-align: center; 
    background-color: #ffffff;
    padding-bottom: 2%;
    padding-top: 1%
}

.text-white {
    color: white;
    font-weight: bold;
}

.company-page { 
    background-color: white !important; 
}

/* Styling for the description on Company pages */
.company-description {
    font-size: 30px;
    margin-top: 30px;
}

.center {
    text-align: center;
}

.white-background {
    background-color: white;
}

/* Controls parts of the nav bar, including color*/
.container {
    background-color: #21314D;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
    height: 100%;
}

/* Styling for rows */
.row {
    margin-right: -15px;
    margin-left: -15px;
    padding-bottom: 5px !important;
}

/* Styling for the nav bar*/
.navbar-collapse {
    float: right;
    padding-right: 15px;
    padding-left: 15px;
    overflow-x: visible;
    -webkit-overflow-scrolling: touch;
    border-top: 1px solid transparent;
    -webkit-box-shadow: inset 0 1px 0 rgba(255, 255, 255, .1);
    box-shadow: inset 0 1px 0 rgba(255, 255, 255, .1);
}

.footer-link {
    color: #B2B4B3;
}

.footer-bar {
    background-color: #D2492A !important;
    padding-bottom: 1.5%;
    height: 15px;
}

.center {
    text-align: center;
}

.accessibility {
    text-align: justify;
    background-color: #92A2BD;
    padding-bottom: 2%;
    padding-top: 1%;
    color: white;
}

.page-header {
    background-color: #92A2BD;
    padding-top: 1%;
    padding-bottom: 1%;
    color: white;
}

.dropdown {
    margin-top: 0px !important;
    min-width: 220px !important;
}

label {
    margin-top: 5px;
    margin-bottom: 0px !important;
}

/* This is for overriding default parts of the navbar. VERY IMPORTANT. */
.navbar {
    margin: 0px !important;
    border-radius: 0 !important;
}

.navbar-inverse {
    margin: 0px !important;
    border: 0px !important;
    padding: 0px !important;
}

.body-content {
    padding-top: 0px !important;
    margin-top: 0px !important;
}

.navbar-header {
    padding-bottom: 0 !important;
}

.download {
	/*display: none;*/
}

#resumeDrop {
    font-size: 30px;
    font-weight: bold;
    margin-top: 150px;
    color: white; 
    background-color: #21314d;
}

.rd-links {
    font-size: 20px;
}

/*Used in an empty div to create spacing on the page*/
.orange-bar {
    background-color: #D2492A !important;
    padding-bottom: 4%;
}

.navbar-header {
    position: fixed;
    top: 0;
    width: 100%;
    background-color: #21314d;
    z-index: 100;
}